Solid Edge FrameworkSupport Type Library
Count Property
Description
Returns the number of objects in the referenced collection.
Property type
Read-only property
Syntax
Visual Basic
Public Property Count As Long
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objCirc1 As SolidEdgeFrameworkSupport.Circle2d
    Dim objCirc2 As SolidEdgeFrameworkSupport.Circle2d
    Dim objRelns As SolidEdgeFrameworkSupport.Relations2d
    Dim objReln1 As SolidEdgeFrameworkSupport.Relation2d
    Dim objProfile As SolidEdgePart.Profile
    Dim lngCnt As Long
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If

    ' Create an empty Profile
    Set objProfile = objDoc.ProfileSets.Add.Profiles.Add(pRefPlaneDisp:= _
                                                         objDoc.RefPlanes(1))
    ' Create 2 Circle objects
    Set objCirc1 = objProfile.Circles2d.AddByCenterRadius(x:=0, y:=0, Radius:=0.05)
    Set objCirc2 = objProfile.Circles2d.AddByCenterRadius(x:=0.1, y:=0.1, Radius:=0.05)

    ' Create a VerticalAlign Relation between the objects
    Set objRelns = objProfile.Relations2d
    Set objReln1 = objRelns.AddVerticalAlign(Object1:=objCirc1, Index1:=0, _
                                             Object2:=objCirc2, Index2:=igCircleCenter)

    If objReln1.Type <> igVerticalAlignRelation2d Then
        MsgBox (" AddVerticalAlign method of Relations2d object failed")
    End If
    ' Get the Count property
    lngCnt = objRelns.Count
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objCirc1 = Nothing
    Set objCirc2 = Nothing
    Set objProfile = Nothing
    Set objRelns = Nothing
    Set objReln1 = Nothing
End Sub
See Also

Relations2d Collection  | Relations2d Members

Send comments on this topic.